#include<stdio.h>


int main()
{
    int n,hiljade,stotine,desetice,jedinice;
    scanf("%d",&n);
    if(n>999 && n<10000) // proverava da li je unet broj pozitivan cetvorocifren
    {//......izdvajanje svake cifre.........//
	jedinice=n%10;
	desetice=(n%100)/10;
	stotine=(n%1000)/100;
	hiljade=n/1000;
     //......proverava svaku cifru da li je parna......//
	if(jedinice%2==1)
	  jedinice--;
	if(desetice%2==1)
	  desetice--;
	if(stotine%2==1)
	  stotine--;
	if(hiljade%2==1)
	  hiljade--;
	n=jedinice+desetice*10+stotine*100+hiljade*1000; // izracunavanje novog broja
	printf("%d",n);
    }
    else printf("%d",-1);
    return 0;
}
    